%define		modname	memtrack
%define		status		beta
Summary:	%{modname} - watch memory consumption in PHP scripts
Summary(pl.UTF-8):	%{modname} - monitorowanie zużycia pamięci w skryptach PHP
Name:		php-pecl-%{modname}
Version:	0.2.1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	6cdf83e24fab5982a3c264ce12503d12
Source1:	%{name}.ini
URL:		http://pecl.php.net/package/memtrack/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
memtrack is a PHP extension that tracks memory consumption in PHP
scripts and produces reports (warnings) when memory usage reaches
certain levels set by the user.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
memtrack to rozszerzenie PHP śledzące zużycie pamięci w skryptach PHP
i generujące raport (ostrzeżenia) w przypadku przekroczenia
określonych przez użytkownika wartości.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 6ed647c
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 5a1455d
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> af499e3
- updated to 0.2.1

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 16f3fab
- release 2

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 8ee0ae4
- up to 0.2.0

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 4a28d2f
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Sun Jan 25 2009 Adam Gołębiowski <adamg@pld-linux.org> edbc824
- new

* Sun Jan 25 2009 Adam Gołębiowski <adamg@pld-linux.org> 3a8320d
- sample config; release 2

* Fri Jan 23 2009 Adam Gołębiowski <adamg@pld-linux.org> 91d76f2
- new

